# ReaderWriter File Reference

`#include <osg/Referenced>`
`#include <osg/Image>`
`#include <osg/Shape>`
`#include <osg/Node>`
`#include <osgDB/Export>`
`#include <deque>`

Include dependency graph for ReaderWriter:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgDB

## Defines

#define | OSGDB_READERWRITER 1

## Variables

typedef std::deque< std::string > | FilePathList
| list of directories to search through which searching for files.

## Define Documentation

#define OSGDB_READERWRITER 1

## Variable Documentation

class typedef std::deque<std::string> osgDB::FilePathList

| list of directories to search through which searching for files.